Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
wait_for_cond_data Struct Reference

## Data Fields
VALUE | monitor
VALUE | cond
VALUE | timeout
VALUE | count

## Detailed Description

Definition at line 139 of file monitor.c.

## Field Documentation

## ◆ cond

VALUE wait_for_cond_data::cond

Definition at line 141 of file monitor.c.

## ◆ count

VALUE wait_for_cond_data::count

Definition at line 143 of file monitor.c.

## ◆ monitor

VALUE wait_for_cond_data::monitor

Definition at line 140 of file monitor.c.

## ◆ timeout

VALUE wait_for_cond_data::timeout

Definition at line 142 of file monitor.c.

The documentation for this struct was generated from the following file:

- ext/monitor/monitor.c